#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"


void
on_addfile_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
	GtkDialog *reencode = GTK_DIALOG (
			lookup_widget (GTK_WIDGET (button), "reencode"));
	GtkFileChooserDialog *selectdialog =
			GTK_FILE_CHOOSER_DIALOG (create_selectdialog ());
	gtk_window_set_transient_for (
			GTK_WINDOW (selectdialog), GTK_WINDOW (reencode));
	if (gtk_dialog_run (GTK_DIALOG (selectdialog)) == GTK_RESPONSE_ACCEPT) {
		GSList *paths = gtk_file_chooser_get_filenames (
				GTK_FILE_CHOOSER (selectdialog));
		add_filename (reencode, paths);
	}
	
	gtk_widget_destroy (GTK_WIDGET (selectdialog));
}

void
on_fromencoding_changed                (GtkComboBox     *combobox,
                                        gpointer         user_data)
{
	GtkWidget *fromencodingentry = gtk_bin_get_child (GTK_BIN (combobox));
	if (!gtk_widget_is_focus (fromencodingentry)) {
		GtkDialog *reencode = GTK_DIALOG (
				lookup_widget (GTK_WIDGET (combobox), "reencode"));
		update_filename (reencode);
	}
}

